# Delete A Cart Or A Cart Item

## Delete a Cart

<mark style="color:red;">`DELETE`</mark> `https://graph.whisk.com/v1/:cart_id`

Delete a cart, along with all of its cart items.

#### Path Parameters

| Name     | Type   | Description            |
| -------- | ------ | ---------------------- |
| cart\_id | string | Unique cart identifier |

{% tabs %}
{% tab title="200 Returns an ok status when successful." %}

```javascript
{
  "ok": true
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```bash
curl -X DELETE "https://graph.whisk.com/v1/7db042ed5cf5448581da768b5490ecd1" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>"
```

## Delete a Cart Item

<mark style="color:red;">`DELETE`</mark> `https://graph.whisk.com/v1/:cart_id/items/:item_id`

Delete a single item from a cart.

#### Path Parameters

| Name     | Type   | Description                 |
| -------- | ------ | --------------------------- |
| cart\_id | string | Unique cart identifier      |
| item\_id | string | Unique cart item identifier |

{% tabs %}
{% tab title="200    Returns an ok state when successful." %}

```javascript
{
  "ok": true
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```bash
curl -X DELETE "https://graph.whisk.com/v1/7db042ed5cf5448581da768b5490ecd1/items/898003be304e49b084ac6224adc7ff53" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/carts/delete-a-cart-or-a-cart-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
